diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
index 1f40fc6..d58807a 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-TH.rdf
@@ -2121,27 +2121,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Yala
+    // Prachin Buri
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Yala">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;PrachinBuri">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Yala</rdfs:label>
-      <skos:definition>The province of Yala in the country of Thailand</skos:definition>
+      <rdfs:label>Prachin Buri</rdfs:label>
+      <skos:definition>The province of Prachin Buri in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Yala</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Prachin Buri</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-95">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-25">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Yala in the country of Thailand</skos:definition>
-      <rdfs:label>TH-95</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-95</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Yala"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Yala"/>
+      <skos:definition>subdivision code for the province of Prachin Buri in the country of Thailand</skos:definition>
+      <rdfs:label>TH-25</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-25</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;PrachinBuri"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;PrachinBuri"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2151,27 +2151,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Samut Prakan
+    // Nakhon Nayok
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SamutPrakan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;NakhonNayok">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Samut Prakan</rdfs:label>
-      <skos:definition>The province of Samut Prakan in the country of Thailand</skos:definition>
+      <rdfs:label>Nakhon Nayok</rdfs:label>
+      <skos:definition>The province of Nakhon Nayok in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Samut Prakan</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Nakhon Nayok</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-11">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-26">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Samut Prakan in the country of Thailand</skos:definition>
-      <rdfs:label>TH-11</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-11</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SamutPrakan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SamutPrakan"/>
+      <skos:definition>subdivision code for the province of Nakhon Nayok in the country of Thailand</skos:definition>
+      <rdfs:label>TH-26</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-26</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;NakhonNayok"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;NakhonNayok"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2181,27 +2181,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Sing Buri
+    // Buri Ram
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SingBuri">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;BuriRam">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Sing Buri</rdfs:label>
-      <skos:definition>The province of Sing Buri in the country of Thailand</skos:definition>
+      <rdfs:label>Buri Ram</rdfs:label>
+      <skos:definition>The province of Buri Ram in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Sing Buri</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Buri Ram</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-17">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-31">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Sing Buri in the country of Thailand</skos:definition>
-      <rdfs:label>TH-17</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-17</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SingBuri"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SingBuri"/>
+      <skos:definition>subdivision code for the province of Buri Ram in the country of Thailand</skos:definition>
+      <rdfs:label>TH-31</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-31</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;BuriRam"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;BuriRam"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2211,27 +2211,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Saraburi
+    // Si Sa Ket
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Saraburi">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SiSaKet">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Saraburi</rdfs:label>
-      <skos:definition>The province of Saraburi in the country of Thailand</skos:definition>
+      <rdfs:label>Si Sa Ket</rdfs:label>
+      <skos:definition>The province of Si Sa Ket in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Saraburi</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Si Sa Ket</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-19">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-33">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Saraburi in the country of Thailand</skos:definition>
-      <rdfs:label>TH-19</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-19</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Saraburi"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Saraburi"/>
+      <skos:definition>subdivision code for the province of Si Sa Ket in the country of Thailand</skos:definition>
+      <rdfs:label>TH-33</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-33</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SiSaKet"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SiSaKet"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2241,27 +2241,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Ubon Ratchathani
+    // Khon Kaen
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;UbonRatchathani">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;KhonKaen">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Ubon Ratchathani</rdfs:label>
-      <skos:definition>The province of Ubon Ratchathani in the country of Thailand</skos:definition>
+      <rdfs:label>Khon Kaen</rdfs:label>
+      <skos:definition>The province of Khon Kaen in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Ubon Ratchathani</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Khon Kaen</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-34">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-40">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Ubon Ratchathani in the country of Thailand</skos:definition>
-      <rdfs:label>TH-34</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-34</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;UbonRatchathani"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;UbonRatchathani"/>
+      <skos:definition>subdivision code for the province of Khon Kaen in the country of Thailand</skos:definition>
+      <rdfs:label>TH-40</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-40</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;KhonKaen"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;KhonKaen"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2271,27 +2271,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Chaiyaphum
+    // Chiang Mai
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Chaiyaphum">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;ChiangMai">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Chaiyaphum</rdfs:label>
-      <skos:definition>The province of Chaiyaphum in the country of Thailand</skos:definition>
+      <rdfs:label>Chiang Mai</rdfs:label>
+      <skos:definition>The province of Chiang Mai in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chaiyaphum</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Chiang Mai</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-36">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-50">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Chaiyaphum in the country of Thailand</skos:definition>
-      <rdfs:label>TH-36</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-36</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Chaiyaphum"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Chaiyaphum"/>
+      <skos:definition>subdivision code for the province of Chiang Mai in the country of Thailand</skos:definition>
+      <rdfs:label>TH-50</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-50</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;ChiangMai"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;ChiangMai"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2301,27 +2301,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Udon Thani
+    // Uttaradit
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;UdonThani">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Uttaradit">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Udon Thani</rdfs:label>
-      <skos:definition>The province of Udon Thani in the country of Thailand</skos:definition>
+      <rdfs:label>Uttaradit</rdfs:label>
+      <skos:definition>The province of Uttaradit in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Udon Thani</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Uttaradit</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-41">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-53">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Udon Thani in the country of Thailand</skos:definition>
-      <rdfs:label>TH-41</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-41</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;UdonThani"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;UdonThani"/>
+      <skos:definition>subdivision code for the province of Uttaradit in the country of Thailand</skos:definition>
+      <rdfs:label>TH-53</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-53</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Uttaradit"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Uttaradit"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2331,27 +2331,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Maha Sarakham
+    // Kamphaeng Phet
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;MahaSarakham">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;KamphaengPhet">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Maha Sarakham</rdfs:label>
-      <skos:definition>The province of Maha Sarakham in the country of Thailand</skos:definition>
+      <rdfs:label>Kamphaeng Phet</rdfs:label>
+      <skos:definition>The province of Kamphaeng Phet in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Maha Sarakham</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Kamphaeng Phet</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-44">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-62">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Maha Sarakham in the country of Thailand</skos:definition>
-      <rdfs:label>TH-44</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-44</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;MahaSarakham"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;MahaSarakham"/>
+      <skos:definition>subdivision code for the province of Kamphaeng Phet in the country of Thailand</skos:definition>
+      <rdfs:label>TH-62</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-62</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;KamphaengPhet"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;KamphaengPhet"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2361,27 +2361,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Samut Songkhram
+    // Sukhothai
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;SamutSongkhram">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Sukhothai">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Samut Songkhram</rdfs:label>
-      <skos:definition>The province of Samut Songkhram in the country of Thailand</skos:definition>
+      <rdfs:label>Sukhothai</rdfs:label>
+      <skos:definition>The province of Sukhothai in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Samut Songkhram</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Sukhothai</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-75">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-64">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Samut Songkhram in the country of Thailand</skos:definition>
-      <rdfs:label>TH-75</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-75</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;SamutSongkhram"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;SamutSongkhram"/>
+      <skos:definition>subdivision code for the province of Sukhothai in the country of Thailand</skos:definition>
+      <rdfs:label>TH-64</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-64</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Sukhothai"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Sukhothai"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2391,27 +2391,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Songkhla
+    // Phetchaburi
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Songkhla">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Phetchaburi">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Songkhla</rdfs:label>
-      <skos:definition>The province of Songkhla in the country of Thailand</skos:definition>
+      <rdfs:label>Phetchaburi</rdfs:label>
+      <skos:definition>The province of Phetchaburi in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Songkhla</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Phetchaburi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-90">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-76">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Songkhla in the country of Thailand</skos:definition>
-      <rdfs:label>TH-90</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-90</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Songkhla"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Songkhla"/>
+      <skos:definition>subdivision code for the province of Phetchaburi in the country of Thailand</skos:definition>
+      <rdfs:label>TH-76</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-76</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Phetchaburi"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Phetchaburi"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
@@ -2421,27 +2421,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Narathiwat
+    // Krabi
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Narathiwat">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;Krabi">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Narathiwat</rdfs:label>
-      <skos:definition>The province of Narathiwat in the country of Thailand</skos:definition>
+      <rdfs:label>Krabi</rdfs:label>
+      <skos:definition>The province of Krabi in the country of Thailand</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Thailand"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Narathiwat</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="th">Krabi</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-th;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-96">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-th;TH-81">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Narathiwat in the country of Thailand</skos:definition>
-      <rdfs:label>TH-96</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-96</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Narathiwat"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Narathiwat"/>
+      <skos:definition>subdivision code for the province of Krabi in the country of Thailand</skos:definition>
+      <rdfs:label>TH-81</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">TH-81</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-th;Krabi"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-th;Krabi"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-th;"/>
    </owl:NamedIndividual>
diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-TJ.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-TJ.rdf
index fa32ea1..b16ce3e 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-TJ.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-TJ.rdf
@@ -36,9 +36,9 @@
 
       <!-- Curation and Rights Metadata for the LCC ISO 3166-2 Subdivision Codes for Tajikistan Ontology -->
 
-      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2017 Object Management Group, Inc.
-          Copyright (c) 2015-2017 Adaptive Inc.
-          Copyright (c) 2015-2017 Thematix Partners LLC
+      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2019 Object Management Group, Inc.
+          Copyright (c) 2015-2019 Adaptive Inc.
+          Copyright (c) 2015-2019 Thematix Partners LLC
           Copyright (c) 2015-2017 Unisys
         </sm:copyright>
       <dct:license rdf:resource="&sm;MITLicense"/>
@@ -47,9 +47,9 @@
 
       <sm:filename rdf:datatype="&xsd;string">ISO3166-2-SubdivisionCodes-TJ.rdf</sm:filename>
       <sm:fileAbbreviation rdf:datatype="&xsd;string">lcc-3166-2-tj</sm:fileAbbreviation>
-      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20170801/Countries/Regions/ISO3166-2-SubdivisionCodes-TJ/"/>
+      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20190301/Countries/Regions/ISO3166-2-SubdivisionCodes-TJ/"/>
       <sm:fileAbstract rdf:datatype="&xsd;string">This ontology represents the subset of the ISO 3166 standard that includes the actual ISO 3166-2 subdivision codes for Tajikistan, with the ontology and codes for the other parts of the standard represented in models that this ontology depends on.</sm:fileAbstract>
-      <dct:issued rdf:datatype="&xsd;dateTime">2017-07-20T22:26:02.631805+02:00</dct:issued>
+      <dct:issued rdf:datatype="&xsd;dateTime">2019-02-14T00:48:51.124818+01:00</dct:issued>
 
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/</sm:dependsOn>
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Countries/CountryRepresentation/</sm:dependsOn>
@@ -99,8 +99,8 @@
 
    <owl:NamedIndividual rdf:about="&lcc-3166-2-tj;DistrictsUnderRepublicAdministration">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionKind"/>
-      <rdfs:label>Districts Under Republic Administration</rdfs:label>
-      <skos:definition>subdivision category Districts Under Republic Administration in the country of Tajikistan</skos:definition>
+      <rdfs:label>districts under republic administration</rdfs:label>
+      <skos:definition>subdivision category districts under republic administration in the country of Tajikistan</skos:definition>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-tj;"/>
    </owl:NamedIndividual>
 
@@ -118,23 +118,23 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nohiyahoi Tobei Jumhurí
+    // nohiyahoi tobei jumhurí
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
    <owl:NamedIndividual rdf:about="&lcc-3166-2-tj;NohiyahoiTobeiJumhuri">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nohiyahoi Tobei Jumhurí</rdfs:label>
-      <skos:definition>The Districts Under Republic Administration of Nohiyahoi Tobei Jumhurí in the country of Tajikistan</skos:definition>
+      <rdfs:label>nohiyahoi tobei jumhurí</rdfs:label>
+      <skos:definition>The districts under republic administration of nohiyahoi tobei jumhurí in the country of Tajikistan</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Tajikistan"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="tg">Nohiyahoi Tobei Jumhurí</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="tg">nohiyahoi tobei jumhurí</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-tj;DistrictsUnderRepublicAdministration"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-tj;"/>
    </owl:NamedIndividual>
 
    <owl:NamedIndividual rdf:about="&lcc-3166-2-tj;TJ-RA">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the Districts Under Republic Administration of Nohiyahoi Tobei Jumhurí in the country of Tajikistan</skos:definition>
+      <skos:definition>subdivision code for the districts under republic administration of nohiyahoi tobei jumhurí in the country of Tajikistan</skos:definition>
       <rdfs:label>TJ-RA</rdfs:label>
       <lcc-lr:hasTag rdf:datatype="&xsd;string">TJ-RA</lcc-lr:hasTag>
       <lcc-lr:denotes rdf:resource="&lcc-3166-2-tj;NohiyahoiTobeiJumhuri"/>
